# Class KllItemsSketchIterator<T>

java.lang.Object
org.apache.datasketches.kll.KllSketchIterator
org.apache.datasketches.kll.KllItemsSketchIterator<T>

Type Parameters:
  `T` - the item class type

All Implemented Interfaces:
  `QuantilesGenericSketchIteratorAPI<T>, QuantilesSketchIteratorAPI`

public final class KllItemsSketchIterator<T> extends KllSketchIterator implements QuantilesGenericSketchIteratorAPI<T>
Iterator over KllItemsSketch. The order is not defined.

## Method Summary

Modifier and Type
Method
Description
`T`
`getQuantile()`
Gets the generic quantile at the current index.

### Methods inherited from class KllSketchIterator

`getWeight, next`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface QuantilesSketchIteratorAPI

`getWeight, next`

## Method Details

### getQuantile

public T getQuantile()
Description copied from interface: `QuantilesGenericSketchIteratorAPI`
Gets the generic quantile at the current index.

Don't call this before calling next() for the first time or after getting false from next().

Specified by:
  `getQuantile` in interface `QuantilesGenericSketchIteratorAPI<T>`
Returns:
  the generic quantile at the current index.